Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class TernaryExpression

Represents a ternary expression (booleanExpression) ? expression : expression

author:
  James Strachan

version:
  $Revision: 9212 $

Field Summary
`BooleanExpression` | `booleanExpression`
`Expression` | `falseExpression`
`Expression` | `trueExpression`

Constructor Summary
`TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Expression` | `getFalseExpression()`
`String` | `getText()`
`Expression` | `getTrueExpression()`
`ClassNode` | `getType()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### TernaryExpression

    public TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getFalseExpression

    public Expression getFalseExpression()

### getText

    public String getText()

### getTrueExpression

    public Expression getTrueExpression()

### getType

    public ClassNode getType()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)